microsoft-foundry.rest.security.o-auth2-auth
Models
Get model asset credentials
POST
/models/{name}/versions/{version}/credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
ヘッダー パラメーター
Foundry-Features
enum
必須
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Models=V1Preview
パス パラメーター
name
string
必須
Name of the model.
version
string
必須
Version of the model.
要求本文
The credential request request body.
Content-Type: application/json
blobUri
string
必須
Blob URI of the model asset to fetch credentials for.
応答
The request has succeeded.
本文
Content-Type: application/json
blobReference
BlobReference
必須
Blob reference details.
blobUri
string
必須
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
必須
ARM ID of the storage account to use.
credential
SasCredential
必須
SAS Credential definition
sasUri
string
必須
SAS uri
type
enum
必須
Type of credential
SAS
要求
POST /models/{name}/versions/{version}/credentials HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json